Subject: [PATCH 2/2] ARM: dts: mediatek: add mt6580 basic support

From: [email-masked] (Matthias Brugger)
Date: Wed, 24 Jun 2015 22:25:56 +0200

On Wednesday, June 24, 2015 07:59:13 PM Mars Cheng wrote:
> On Tue, 2015-06-23 at 21:45 +0200, Matthias Brugger wrote:
> > > +	soc {
> > 
> > Please drop the soc node as well and just add the components directly.
> > 
> > Thanks,
> > Matthias
> 
> May I know the reason to remove the soc node? I follow other xxxx.dtsi
> to add this node.

The device tree is reflecting the hardware, if you add a soc node like this, it 
is seen like a bus, but there is not really a bus.

I think point of view about this has change over time and nowadays it is 
preferred not to add a soc node.

Regards,
Matthias